> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an in-person Location



## OpenAPI

````yaml /openapi.json post /v1/in-person/locations
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/in-person/locations:
    post:
      tags:
        - In-person Payments
      summary: Create an in-person Location
      operationId: createInPersonLocation
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - display_name
                - address
              properties:
                display_name:
                  type: string
                  minLength: 1
                  maxLength: 120
                address:
                  type: object
                  additionalProperties: false
                  required:
                    - line1
                    - city
                    - state
                    - postal_code
                    - country
                  properties:
                    line1:
                      type: string
                      minLength: 1
                      maxLength: 200
                    line2:
                      type: string
                      maxLength: 200
                    city:
                      type: string
                      minLength: 1
                      maxLength: 100
                    state:
                      type: string
                      minLength: 1
                      maxLength: 100
                    postal_code:
                      type: string
                      minLength: 1
                      maxLength: 12
                    country:
                      type: string
                      enum:
                        - MX
      responses:
        '201':
          description: Created SimplePay Location.
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: true
      schema:
        type: string
        minLength: 8
        maxLength: 255
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````